package com.jjt.biz.service;

import com.jjt.biz.vo.*;
import com.jjt.rz.vo.CompareVO;

import java.util.List;

/**
 * 首页统计数据
 *
 * @author wukai
 */
public interface IApiYrService {
    /**
     * 获取产线状态
     *
     * @return 结果
     */
    YrProdLineStatusVO status();

    /**
     * 获取生产效率
     *
     * @return 结果
     */
    List<YrProdEfficiencyVO> eff();

    /**
     * 模拟数据定时任务
     */
    void mock();

    /**
     * 工艺对比
     *
     * @param list 输入参数
     * @param flag 是否返回明细参数
     * @return 结果集
     */
    List<CompareVO> compare(List<YrCompareBackReq> list,boolean flag);
}
